/*
Theme Name: Uppercut
Theme URI: https://elementor.com/hello-theme/?utm_source=wp-themes&utm_campaign=theme-uri&utm_medium=wp-dash
Template: hello-elementor
Author: Elementor Team
Author URI: https://elementor.com/?utm_source=wp-themes&utm_campaign=author-uri&utm_medium=wp-dash
Description: A lightweight and minimalist WordPress theme for Elementor page builder.
Tags: accessibility-ready,flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 2.8.1.1692278758
Updated: 2023-08-17 13:25:58

*/

/* Glitch Code */

.glitch, .glow {
  color: #ffffff;
  position: relative;
  animation: glitch 5s 5s infinite;
}

.glitch::before, .glow::before {
  content: attr(data-text);
  position: absolute;
  left: -2px;
  text-shadow: -5px 0 magenta;
  overflow: hidden;
  top: 0;
  animation: noise-1 3s linear infinite alternate-reverse, glitch 5s 5.05s infinite;
}

.glitch::after, .glow::after {
  content: attr(data-text);
  position: absolute;
  left: 2px;
  text-shadow: -5px 0 lightgreen;
  overflow: hidden;
  top: 0;
  animation: noise-2 3s linear infinite alternate-reverse, glitch 5s 5s infinite;
}

@keyframes glitch {
  1% {
    transform: rotateX(10deg) skewX(90deg);
  }
  2% {
    transform: rotateX(0deg) skewX(0deg);
  }
}
@keyframes noise-1 {
  3.3333333333% {
    clip-path: inset(54px 0 13px 0);
  }
  6.6666666667% {
    clip-path: inset(7px 0 22px 0);
  }
  10% {
    clip-path: inset(80px 0 11px 0);
  }
  13.3333333333% {
    clip-path: inset(13px 0 14px 0);
  }
  16.6666666667% {
    clip-path: inset(10px 0 73px 0);
  }
  20% {
    clip-path: inset(35px 0 39px 0);
  }
  23.3333333333% {
    clip-path: inset(86px 0 7px 0);
  }
  26.6666666667% {
    clip-path: inset(90px 0 8px 0);
  }
  30% {
    clip-path: inset(41px 0 54px 0);
  }
  33.3333333333% {
    clip-path: inset(21px 0 25px 0);
  }
  36.6666666667% {
    clip-path: inset(9px 0 20px 0);
  }
  40% {
    clip-path: inset(9px 0 85px 0);
  }
  43.3333333333% {
    clip-path: inset(28px 0 20px 0);
  }
  46.6666666667% {
    clip-path: inset(83px 0 11px 0);
  }
  50% {
    clip-path: inset(20px 0 18px 0);
  }
  53.3333333333% {
    clip-path: inset(7px 0 73px 0);
  }
  56.6666666667% {
    clip-path: inset(48px 0 45px 0);
  }
  60% {
    clip-path: inset(64px 0 4px 0);
  }
  63.3333333333% {
    clip-path: inset(3px 0 92px 0);
  }
  66.6666666667% {
    clip-path: inset(84px 0 6px 0);
  }
  70% {
    clip-path: inset(56px 0 6px 0);
  }
  73.3333333333% {
    clip-path: inset(29px 0 63px 0);
  }
  76.6666666667% {
    clip-path: inset(4px 0 96px 0);
  }
  80% {
    clip-path: inset(62px 0 2px 0);
  }
  83.3333333333% {
    clip-path: inset(100px 0 1px 0);
  }
  86.6666666667% {
    clip-path: inset(7px 0 40px 0);
  }
  90% {
    clip-path: inset(82px 0 5px 0);
  }
  93.3333333333% {
    clip-path: inset(85px 0 2px 0);
  }
  96.6666666667% {
    clip-path: inset(83px 0 4px 0);
  }
  100% {
    clip-path: inset(12px 0 2px 0);
  }
}
@keyframes noise-2 {
  0% {
    clip-path: inset(12px 0 32px 0);
  }
  3.3333333333% {
    clip-path: inset(86px 0 14px 0);
  }
  6.6666666667% {
    clip-path: inset(42px 0 42px 0);
  }
  10% {
    clip-path: inset(94px 0 2px 0);
  }
  13.3333333333% {
    clip-path: inset(91px 0 6px 0);
  }
  16.6666666667% {
    clip-path: inset(63px 0 25px 0);
  }
  20% {
    clip-path: inset(59px 0 30px 0);
  }
  23.3333333333% {
    clip-path: inset(89px 0 11px 0);
  }
  26.6666666667% {
    clip-path: inset(75px 0 5px 0);
  }
  30% {
    clip-path: inset(22px 0 8px 0);
  }
  33.3333333333% {
    clip-path: inset(94px 0 3px 0);
  }
  36.6666666667% {
    clip-path: inset(22px 0 22px 0);
  }
  40% {
    clip-path: inset(21px 0 8px 0);
  }
  43.3333333333% {
    clip-path: inset(42px 0 45px 0);
  }
  46.6666666667% {
    clip-path: inset(90px 0 7px 0);
  }
  50% {
    clip-path: inset(97px 0 3px 0);
  }
  53.3333333333% {
    clip-path: inset(38px 0 51px 0);
  }
  56.6666666667% {
    clip-path: inset(83px 0 4px 0);
  }
  60% {
    clip-path: inset(47px 0 36px 0);
  }
  63.3333333333% {
    clip-path: inset(55px 0 17px 0);
  }
  66.6666666667% {
    clip-path: inset(4px 0 45px 0);
  }
  70% {
    clip-path: inset(74px 0 1px 0);
  }
  73.3333333333% {
    clip-path: inset(69px 0 26px 0);
  }
  76.6666666667% {
    clip-path: inset(14px 0 41px 0);
  }
  80% {
    clip-path: inset(3px 0 37px 0);
  }
  83.3333333333% {
    clip-path: inset(90px 0 10px 0);
  }
  86.6666666667% {
    clip-path: inset(5px 0 22px 0);
  }
  90% {
    clip-path: inset(73px 0 28px 0);
  }
  93.3333333333% {
    clip-path: inset(5px 0 67px 0);
  }
  96.6666666667% {
    clip-path: inset(58px 0 37px 0);
  }
  100% {
    clip-path: inset(77px 0 6px 0);
  }
}
.scanlines {
  overflow: hidden;
  mix-blend-mode: difference;
}

.scanlines::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: repeating-linear-gradient(to bottom, transparent 0%, rgba(255, 255, 255, 0.05) 0.5%, transparent 1%);
  animation: fudge 7s ease-in-out alternate infinite;
}

@keyframes fudge {
  from {
    transform: translate(0px, 0px);
  }
  to {
    transform: translate(0px, 2%);
  }
}
.glow {
  text-shadow: 0 0 1000px #dfbfbf;
  color: transparent;
  position: absolute;
  top: 0;
}

.subtitle {
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 100;
  font-size: 0.8vw;
  color: rgba(165, 141, 141, 0.4);
  text-transform: uppercase;
  letter-spacing: 1em;
  text-align: center;
  position: absolute;
  left: 17%;
  animation: glitch-2 5s 5.02s infinite;
}

@keyframes glitch-2 {
  1% {
    transform: rotateX(10deg) skewX(70deg);
  }
  2% {
    transform: rotateX(0deg) skewX(0deg);
  }
}


h2.glitch {
    font-size: 55px;
}

.date_post, .date_location, .date_price {
    color: #ffffff;
    text-align: center;
    padding: 10px 0px;
    text-transform: uppercase;
    font-family: 'Montserrat', sans-serif;
}

.date_price {
	border-top: 1px solid #ffffff;
	border-bottom: 1px solid #ffffff;
	margin-bottom: 20px;
}


form#order-tickets legend{
    font-size: 0rem;
    text-align: center;
    width: auto;
}

form#order-tickets legend:after {
    content: "Secure Your Space";
    color: #ffffff;
    text-transform: uppercase;
    font-size: 1.5rem;
	font-family: 'montserrat', sans-serif;
}

.mt-ticket-field.mt-available {
    text-align: center;
	font-family: 'montserrat', sans-serif;
}

.mt-ticket-field.mt-available span {
    color: #ffffff;
    margin-left: 10px;
	font-family: 'montserrat', sans-serif;
}

.ticket-orders label {
    display: inline-block;
    width: 10em;
    margin-right: 0.5em;
    color: #ffffff;
	font-family: 'montserrat', sans-serif;
}

.mt-ticket-field.mt-ticket-complimentary.mt-available {
    display: none;
	font-family: 'montserrat', sans-serif;
}

form#order-tickets p {
    text-align: center;
	font-family: 'montserrat', sans-serif;
}

form#order-tickets button {
    background: #000000;
    border: 2px solid #ffffff;
    color: #ffffff;
    text-transform: uppercase;
    padding: 20px 40px;
	font-family: 'montserrat', sans-serif;
}

form#order-tickets button:hover {
    background: #ffffff;
    border: 2px solid #ffffff;
    color: #000000;
    text-transform: uppercase;
    padding: 20px 40px;
	font-family: 'montserrat', sans-serif;
}
